From d7f82a5071316ca222bd08534a81dad574e6ee93 Mon Sep 17 00:00:00 2001
From: Guilhem Moulin <guilhem@guilhem.org>
Date: Mon, 18 Jan 2016 17:25:10 +0100
Subject: [PATCH] Set PROTOCOL=cdrom for cdrom:// URIs (except for
 debootstrap).

---
 debian/bootstrap-base.postinst | 5 +++--
 library.sh                     | 4 ++--
 2 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/debian/bootstrap-base.postinst b/debian/bootstrap-base.postinst
index ed2e0ab..e0163e6 100755
--- a/debian/bootstrap-base.postinst
+++ b/debian/bootstrap-base.postinst
@@ -123,10 +123,11 @@ install_base_system () {
 	# clean up after any past debootstrap run
 	rm -f /target/var/lib/apt/* 2>/dev/null || true
 
-	local debootstrap_failed=
+	local debootstrap_failed= debootstrap_protocol="$PROTOCOL"
 	if search-path cdebootstrap; then
 		cdebootstrap || debootstrap_failed=$?
 	else
+		[ "$debootstrap_protocol" != cdrom ] || debootstrap_protocol=file
 		log-output -t debootstrap run-debootstrap \
 			--components="${COMPONENTS}" \
 			--debian-installer \
@@ -135,7 +136,7 @@ install_base_system () {
 			${sigcheck} \
 			${DEBOOTSTRAP_VARIANT} \
 			${DISTRIBUTION} /target \
-			"$PROTOCOL://$MIRROR$DIRECTORY" \
+			"$debootstrap_protocol://$MIRROR$DIRECTORY" \
 			${DEBOOTSTRAP_SCRIPT} \
 			|| debootstrap_failed=$?
 	fi
diff --git a/library.sh b/library.sh
index d73d880..89f6d9f 100644
--- a/library.sh
+++ b/library.sh
@@ -303,7 +303,7 @@ get_mirror_info () {
 			exit_error base-installer/no_codename
 		fi
 
-		PROTOCOL=file
+		PROTOCOL=cdrom
 		MIRROR=""
 		DIRECTORY="/cdrom/"
 		if [ -s /cdrom/.disk/base_components ]; then
@@ -804,7 +804,7 @@ install_kernel() {
 
 # Assumes the file protocol is only used for CD (image) installs
 configure_apt () {
-	if [ "$PROTOCOL" = file ]; then
+	if [ "$PROTOCOL" = cdrom ]; then
 		local tdir=/target/media$DIRECTORY
 		rm -f /var/lib/install-cd.id
 
-- 
2.7.0.rc3

